package com.example;

import java.util.ArrayList;
import java.util.List;

public class PersonFingerprintData {

    private String id;
    private String name;
    private String org;
    private String code;
    private List<Fingerprint> fingerprints;

    // Constructor
    public PersonFingerprintData(String id, String name, String org, String code, List<Fingerprint> fingerprints) {
        this.id = id;
        this.name = name;
        this.org = org;
        this.code = code;
        this.fingerprints = new ArrayList<Fingerprint>(); // ✅ Fixed typo
    }

    // Getters and Setters
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOrg() {
        return org;
    }

    public void setOrg(String org) {
        this.org = org;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public List<Fingerprint> getFingerprints() {
        return fingerprints;
    }

    public void setFingerprints(List<Fingerprint> fingerprints) {
        this.fingerprints = fingerprints;
    }

    public void addFingerprint(Fingerprint fingerprint) {
        // if (this.fingerprints == null) {
        //     this.fingerprints = new ArrayList<Fingerprint>();
        // }
        this.fingerprints.add(fingerprint);
    }

}
